Skip to content

Delegate DIPP to Subaccount

Request

Delegates a dedicated IP pool (DIPP) from the parent account to a specified subaccount. Unlike legacy endpoints, this supports accounts with multiple delegated DIPPs.

Request parameters are encoded as form data.

Security
basicAuth
Path
pool_idstringrequired

The ID of the dedicated IP pool to delegate

Bodymultipart/form-datarequired
subaccount_idstringrequired

The ID of the subaccount to delegate the pool to

curl -i -X PUT \
  -u '<username>:<password>' \
  'https://api.mailgun.net/v3/ip_pools/{pool_id}/delegate' \
  -H 'Content-Type: multipart/form-data' \
  -F subaccount_id=string

Responses

A 200 response

Bodyapplication/json
string(string)
Response
{ "message": "success" }